Retrieve a report

GET
/reports/{id}

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/reports/string" \  -H "Easol-API-Version: 2026-11-01"
{
  "id": "string",
  "object": "report",
  "name": "string",
  "columns": {
    "object": "list",
    "url": "string",
    "has_more": false,
    "next_cursor": "string",
    "data": [
      {
        "id": "string",
        "object": "report_column",
        "name": "string",
        "type": "string"
      }
    ]
  },
  "filters": {
    "object": "list",
    "url": "string",
    "has_more": false,
    "next_cursor": "string",
    "data": [
      {
        "id": "string",
        "object": "report_filter",
        "name": "string",
        "type": "string",
        "options": [
          "string"
        ]
      }
    ]
  }
}
Empty
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}